Skip to main content
GET
List transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

created_at.after
string<date-time>

Return transactions created after this ISO 8601 timestamp.

created_at.before
string<date-time>

Return transactions created before this ISO 8601 timestamp.

cursor
string

The cursor for the next page of results to fetch

Example:

"vjl8vk3l4o8dhsjlzh=="

account_id
string

Return transactions associated with the specified account

Example:

"account_28CJjV7P4Go5PNJvfzghiD"

date.after
string<date>

Return transactions recorded on or after the specified date

date.before
string<date>

Return transactions recorded on or before the specified date

batch
string

Return transactions associated with the specified batch

type
enum<string>

Return transactions of the specified type The type of transaction

Available options:
intent,
transfer,
unreconciled

Response

Successful operation

data
object[]
required
next_cursor
string | null
required

Use cursor for paginating list endpoints in conjunction with the cursor request parameter.

In a response, the value is null if there are no more results to fetch.

Example:

"vjl8vk3l4o8dhsjlzh=="